CWText.cxx File Reference
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <map>`
`#include <sstream>`
`#include <libwpd/libwpd.h>`
`#include "MWAWContentListener.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWSection.hxx"`
`#include "CWParser.hxx"`
`#include "CWStruct.hxx"`
`#include "CWStyleManager.hxx"`
`#include "CWText.hxx"`

## Classes

struct | CWTextInternal::PLC
| Internal : the different plc types: mainly for debugging. More...
struct | CWTextInternal::Paragraph
| Internal: class to store the paragraph properties. More...
struct | CWTextInternal::ParagraphPLC
struct | CWTextInternal::Section
| internal class used to store a section More...
struct | CWTextInternal::TextZoneInfo
| internal class used to store a text zone More...
struct | CWTextInternal::Token
| Internal: class to store field definition: TOKN entry. More...
struct | CWTextInternal::Zone
struct | CWTextInternal::State
| Internal: the state of a CWText. More...

## Namespaces

| CWTextInternal
| Internal: the structures of a CWText.

## Enumerations

enum | CWTextInternal::PLCType { CWTextInternal::P_Font, CWTextInternal::P_Ruler, CWTextInternal::P_Child, CWTextInternal::P_Section, CWTextInternal::P_TextZone, CWTextInternal::P_Token, CWTextInternal::P_Unknown }
| the different plc type More...
enum | CWTextInternal::TokenType { CWTextInternal::TKN_UNKNOWN, CWTextInternal::TKN_FOOTNOTE, CWTextInternal::TKN_PAGENUMBER, CWTextInternal::TKN_GRAPHIC }

## Functions

std::ostream & | CWTextInternal::operator<< (std::ostream &o, PLC const &plc)
std::ostream & | CWTextInternal::operator<< (std::ostream &o, Token const &tok)
| operator<< for Token More...